Name: datovka
Version: 4.3.1
Release: 2%{?dist}
Summary: A free graphical interface for Czech Databox (Datové schránky)

License: GPLv3+ with exceptions
URL: https://labs.nic.cz/cs/nova-datovka.html
Source0: https://secure.nic.cz/files/datove_schranky/%{version}/datovka-%{version}-src.tar.xz

BuildRequires: qt5-qtbase-devel qt5-qttools-devel libisds-devel openssl-devel
BuildRequires: desktop-file-utils

%description
GUI application allowing access to Czech Databox - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q

# fix lrelease invocation
sed -i 's/system(lrelease /system(lrelease-qt5 /g' datovka.pro

%build
%{_qt5_qmake} PREFIX=%{_prefix} DISABLE_VERSION_CHECK_BY_DEFAULT=1
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
make install INSTALL_ROOT=%{buildroot}
%find_lang %{name} --with-qt
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc %{_pkgdocdir}
%{_bindir}/datovka
%{_datadir}/applications/datovka.desktop
%{_datadir}/appdata/datovka.appdata.xml
%{_datadir}/icons/hicolor/*/apps/datovka.png

%changelog
* Fri Jun 26 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.3.1-2
- New upstream release:
  + feature: open ZFO from command line
  + feature: add --log-file= command line parameter
  + fix: open delivery info externally
  + fix: password changing issues
  + fix: proper log file opening
  + fix: logging of multi-line messages

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.3.0-1
- New upstream release:
  + feature: restricted privileges accounts support
  + feature: show remaining credit when sending a commercial message
  + feature: search for messages with expiring/expired time stamps

* Thu Apr 30 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 4.2.3-1
- New upstream release
  Resolves: rhbz#1217461

* Tue Apr 28 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.2.2-1
- New upstream release:
  + feature: notification about password expiration
  + feature: save all attachments with message envelope in PDF
  + fix: searching for databoxes

* Thu Apr 02 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.2.1-1
- New upstream release:
  + fix: duplicate messages shown in the list

* Tue Mar 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.2.0-1
- New upstream release:
  + feature: implemented message search dialogue
  + feature: multiple messages selection
  + feature: password expiration notification
  + various fixes and improvements

* Wed Mar 25 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 4.1.2-2
- Fixed license tag to be "GPLv3+ with exceptions"
  Resolves: rhbz#1202797

* Wed Feb 25 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.1.2-1
- New upstream release

* Wed Feb 18 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.1.1-1
- New upstream release
- Disable checking for new versions by default.

* Tue Feb 03 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.1.0-2
- Add missing icon cache updates on package installation and removal.

* Mon Feb 02 2015 Jan Vcelak <jvcelak@fedoraproject.org> 4.1.0-1
- Rebase to new upstream release
- Project switched from Python to C/C++
- Licence changed from LGPLv2+ to GPLv3+

* Thu Sep 18 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.1-1
- New version
  Resolves: rhbz#1142899

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug  5 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.3-4
- Used unversioned doc location
  Resolves: rhbz#992109

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.3-1
- New version

* Fri Dec 21 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0.2-1
- New version

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0-1
- New version
- Removed use-sysfont patch (not needed)

* Tue Oct  2 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-3
- Unbundled fonts

* Tue Sep 25 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-2
- Replaced some hardcoded paths by macros

* Wed Sep 05 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-1
- Initial version
